Name: H5Pset_fapl_family
Signature:
  herr_t `H5Pset_fapl_family` ( hid_t `fapl_id`, hsize_t `memb_size`, hid_t `memb_fapl_id` )
Purpose:
  Sets the file access property list to use the family driver.
Description:
  `H5Pset_fapl_family` sets the file access property list identifier, `fapl_id`, to use the family driver.

  `memb_size` is the size in bytes of each file member. Because this size is not saved in the file, it is used both for creating a new file, for re-opening and for extending an existing file.

  When re-opening an existing family file, if there is only one member file, the library allows this `memb_size` to be bigger than or equal to the size of existing member file; if there are more than one member file, the library sets the `memb_size` to be equal to the size of first existing member file internally. In either case, no `memb_size` smaller than the size of existing member file is allowed. If this happens, the library will adjust the `memb_size` to the first existing member file size internally instead of returning error.

  For example, if the total file size is 1MB and the only existing member file size is 1MB, `memb_size` can be bigger than or equal to 1MB. If the first member file size is 0.6MB and the second one is 0.4MB, the library will set `memb_size` to 0.6MB internally no matter what value the user passes in.

  `memb_fapl_id` is the identifier of the file access property list to be used for each family member.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
hsize_t `memb_size` | IN: Size in bytes of each file member.
hid_t `memb_fapl_id` | IN: Identifier of file access property list for each family member.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_fapl_family_f

      SUBROUTINE h5pset_fapl_family_f(prp_id, imemb_size, memb_plist, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)   :: prp_id    ! Property list identifier
        INTEGER(HSIZE_T), INTENT(IN) :: memb_size ! Logical size, in bytes,
                                                  ! of each family member
        INTEGER(HID_T), INTENT(IN) :: memb_plist  ! Identifier of the file
                                                  ! access property list to be
                                                  ! used for each family member
        INTEGER, INTENT(OUT) :: hdferr            ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_fapl_family_f

History:

Release | C
1.4.0 | Function introduced in this release.